Debian Bug report logs - #602052
RM: powernowd -- obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Phillip Susi <psusi@cfl.rr.com>

Date: Mon, 1 Nov 2010 02:18:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Mon, 01 Nov 2010 02:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
New Bug report received and forwarded. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Mon, 01 Nov 2010 02:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: submit@bugs.debian.org
Subject: Drop obsolete package
Date: Sun, 31 Oct 2010 22:15:44 -0400
Package: powernowd

This package is now obsolete.  It has been nearly 3 years since upstream 
released last and said it would be the final one, since this 
functionality has been moved into the kernel.  Now this package only 
serves to confuse users and act as a lightning rod for power management 
bugs that should be filed against the kernel.  Please remove it from the 
archive.




Added indication that 602052 affects release.debian.org Request was from Micah Gersten <micahg@ubuntu.com> to control@bugs.debian.org. (Mon, 01 Nov 2010 03:06:02 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Micah Gersten <micahg@ubuntu.com> to control@bugs.debian.org. (Mon, 01 Nov 2010 03:12:03 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 09:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 02 Nov 2010 10:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 02 Nov 2010 10:03:14 GMT) Full text and rfc822 format available.

Message #16 received at 602052@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: 602052@bugs.debian.org, control@bugs.debian.org
Subject: powernowd: Drop obsolete package
Date: Tue, 02 Nov 2010 10:53:37 +0100
tags 602052 moreinfo
thanks

After reading this bug report, I removed powernowd from my system.  The
CPU frequency immediately jumped from 800 MHz to the maximum 2000 MHz
and stayed there, even if the machine was idle. I reinstalled powernowd
and the CPU frequency went back to 1800, then 1600, then 800 MHz in a
matter of seconds.

If this package is obsolete and replaced by the kernel, how should I
configure my kernel to throttle the CPU back, and why is the kernel not
configured to do that out of the box?

-- 
Ludovic Brenta.




Removed indication that 602052 affects release.debian.org Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 14:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 02 Nov 2010 20:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 02 Nov 2010 20:33:09 GMT) Full text and rfc822 format available.

Message #23 received at 602052@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 602052@bugs.debian.org
Subject: Re: Bug#602052: powernowd: Drop obsolete package
Date: Tue, 2 Nov 2010 21:34:57 +0100
On Tue, Nov 02, 2010 at 10:53:37AM +0100, Ludovic Brenta wrote:
> tags 602052 moreinfo
> thanks
> 
> After reading this bug report, I removed powernowd from my system.  The
> CPU frequency immediately jumped from 800 MHz to the maximum 2000 MHz
> and stayed there, even if the machine was idle. I reinstalled powernowd
> and the CPU frequency went back to 1800, then 1600, then 800 MHz in a
> matter of seconds.
> 
> If this package is obsolete and replaced by the kernel, how should I
> configure my kernel to throttle the CPU back, and why is the kernel not
> configured to do that out of the box?

Because nowadays people seem to think throttling is BAD for power management.
It's apparently much more efficient to IDLE as much as possible to save
power, and to do that you should be running the processor on as high speed
as possible to get whatever work you need to get done finished as soon as
possible to maximize the time that can be used for idling.

See http://lwn.net/Articles/281629/ for example...


-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 02 Nov 2010 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 02 Nov 2010 20:45:06 GMT) Full text and rfc822 format available.

Message #28 received at 602052@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: 602052@bugs.debian.org
Subject: Re: Bug#602052: powernowd: Drop obsolete package
Date: Tue, 02 Nov 2010 21:43:14 +0100
Andreas Henriksson writes:
> It's apparently much more efficient to IDLE as much as possible to
> save power, and to do that you should be running the processor on as
> high speed as possible to get whatever work you need to get done
> finished as soon as possible to maximize the time that can be used for
> idling.

OK, this seems very reasonable but could you please tell me how to
*practically* achieve that?

On my machine with powernowd, it runs at 800 MHz most of the time (when
I type etc) and uses the full speed (2000 MHz) only when compiling, or
for brief periods of time while rendering web pages and the like.  I
agree that the intermediate frequencies are not very useful.

I'd be all in favor of running my processor at 0 MHz most of the time,
the question is how?

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 02 Nov 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 02 Nov 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #33 received at 602052@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 602052@bugs.debian.org
Subject: Re: Bug#602052: powernowd: Drop obsolete package
Date: Tue, 2 Nov 2010 22:15:50 +0100
On Tue, Nov 02, 2010 at 09:43:14PM +0100, Ludovic Brenta wrote:
> OK, this seems very reasonable but could you please tell me how to
> *practically* achieve that?

http://www.lesswatts.org/ has tips and tricks... Try your preferred
support forum for more information. The bug tracking system is not a
support forum.

> 
> On my machine with powernowd, it runs at 800 MHz most of the time (when
> I type etc) and uses the full speed (2000 MHz) only when compiling, or
> for brief periods of time while rendering web pages and the like.  I
> agree that the intermediate frequencies are not very useful.
> 
> I'd be all in favor of running my processor at 0 MHz most of the time,
> the question is how?

You're misunderstanding again... it will never be running at 0 MHz.

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Wed, 03 Nov 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Wed, 03 Nov 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #38 received at 602052@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>
Cc: 602052@bugs.debian.org, control@bugs.debian.org
Subject: Re: powernowd: Drop obsolete package
Date: Wed, 3 Nov 2010 09:36:05 +0100
[Message part 1 (text/plain, inline)]
severity 602052 normal

Ludovic,

On Tue, Nov 02, 2010 at 10:53:37AM +0100, Ludovic Brenta wrote:
> After reading this bug report, I removed powernowd from my system.  The
> CPU frequency immediately jumped from 800 MHz to the maximum 2000 MHz
> and stayed there, even if the machine was idle. I reinstalled powernowd
> and the CPU frequency went back to 1800, then 1600, then 800 MHz in a
> matter of seconds.
> 
> If this package is obsolete and replaced by the kernel, how should I
> configure my kernel to throttle the CPU back, and why is the kernel not
> configured to do that out of the box?

what does /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor show after
deinstallation of powernowd?  If it does say performance, that behaviour to be
expected.  You might want to install cpufrequtils instead.  You might want to
look at /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors and
select a suitable governor, which would be in the order of "ondemand
conservative powersave".  If ondemand refuses to do anything it should write
that to dmesg, which it does when switching latency is too high.

The throttling comments in this bug log are entirely bogus.  The fact that the
*frequency* changes means that there's no throttling involved.

Furthermore this bug report is nowhere "serious".

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Wed, 03 Nov 2010 08:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Wed, 03 Nov 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Wed, 03 Nov 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #45 received at 602052@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: 602052@bugs.debian.org
Subject: Re: powernowd: Drop obsolete package
Date: Wed, 03 Nov 2010 10:24:08 +0100
Philipp Kern <pkern@debian.org> writes:
> what does /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor show after
> deinstallation of powernowd?

It says "userspace".

After further investigation, here is what I understand:

* the default governor is "ondemand".
* powernowd changes this to "userspace" on startup.
* "aptitude purge powernowd" leaves it to "userspace".

Therefore, powernowd is indeed obsolete, but one must change the
governor manually to "ondemand" upon purging the package, or reboot.

I have not needed to install cpufrequtils.

> The throttling comments in this bug log are entirely bogus.  The fact that the
> *frequency* changes means that there's no throttling involved.

I thought that "throttling" referred precisely to changing the voltage
and frequency of the CPU, as opposed to changing the C-state?

> Furthermore this bug report is nowhere "serious".

I agree.  I hope you didn't think I was the one who claimed it was
serious.  It wasn't me.


Now looking back on this issue: I've had this laptop since November 2006
and I've been running Debian on it ever since.  The first version of
Linux I installed was 2.6.18 (from Etch).  I don't think Linux had the
"ondemand" scheduler back then, so a userspace daemon was necessary.

I suggest that perhaps a small paragraph should be added to the release
notes for Squeeze, explaining this issue to users upgrading their
kernel.

Thanks for your help.

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Thu, 16 Dec 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Thu, 16 Dec 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: 602052@bugs.debian.org
Subject: Power management
Date: Thu, 16 Dec 2010 11:15:39 -0500
> Because nowadays people seem to think throttling is BAD for power management.
> It's apparently much more efficient to IDLE as much as possible to save
> power, and to do that you should be running the processor on as high speed
> as possible to get whatever work you need to get done finished as soon as
> possible to maximize the time that can be used for idling.

This is incorrect, or rather misleading.  Throttling is the process of
forcing the cpu into a HALT state with a pulse width modulator.  This is
generally a poor man's effort to reduce thermal load and a last ditch
effort to prevent overheating, otherwise it is depreciated and not used
these days.

Lowering the processor frequency and voltage reduces the power
consumption per clock, so even though a process takes more time to
execute, it uses less energy.

> herefore, powernowd is indeed obsolete, but one must change the
> governor manually to "ondemand" upon purging the package, or reboot.

So if you reboot, it goes to ondemand?  That sounds fine.

>  thought that "throttling" referred precisely to changing the voltage
> and frequency of the CPU, as opposed to changing the C-state?

No, as I said above it just means forcing the processor into the HALT
state part of the time.  C-states are ACPI states that correspond to
HALT and then deeper states of sleep where the cpu is not executing
instructions.  P-states are ACPI states that alter the cpu running
frequency and voltage.  Powernowd used to accomplish the same thing as
ACPI P-states by directly manipulating the amd k8 cpu registers.  The
kernel now has drivers to perform frequency control using either ACPI,
or the amd or intel cpu specific registers.





Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Fri, 18 Feb 2011 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Fri, 18 Feb 2011 06:09:03 GMT) Full text and rfc822 format available.

Message #55 received at 602052@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>
Cc: 602052@bugs.debian.org
Subject: Re: powernowd: Drop obsolete package
Date: Fri, 18 Feb 2011 04:04:30 -0200
On Nov 03 2010, Ludovic Brenta wrote:
> Therefore, powernowd is indeed obsolete, but one must change the
> governor manually to "ondemand" upon purging the package, or reboot.

It is not obsolete for computers that don't even load ondemand.


Regards,

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Fri, 18 Feb 2011 06:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Fri, 18 Feb 2011 06:09:05 GMT) Full text and rfc822 format available.

Message #60 received at 602052@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Fri, 18 Feb 2011 03:58:16 -0200
On Dec 16 2010, Phillip Susi wrote:
> Powernowd used to accomplish the same thing as ACPI P-states by
> directly manipulating the amd k8 cpu registers.

No, it doesn't. It is just a userspace governor and, despite the name,
it is not tied to AMD cpus.

> The kernel now has drivers to perform frequency control using either
> ACPI, or the amd or intel cpu specific registers.

Unless you happen to have a CPU (Intel, BTW) that can only have its
frequency scaled using something other than ondemand/conservative in
their stock form and you have to use the P4 clock modulation.

I have some patches to the ondemand cpufreq regulator, but it will need
a lot of fine tuning to make ondemand work (if at all). OTOH, using
powernowd usually works OK for my computer.

And I am not even talking about some other architectures (e.g., PowerPC)
where there is some support for frequency scaling, but where there is no
ACPI.

See http://bugs.debian.org/609638 for instance.

I think that I may not (yet) be willing to adopt it, but I am sure
willing to co-maintain it or make the occasional QA upload from time to
time, so that I can keep things in shape and close some of the most
pressing bugs.


Regards,

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Sun, 20 Feb 2011 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Sun, 20 Feb 2011 01:24:03 GMT) Full text and rfc822 format available.

Message #65 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 20:20:29 -0500
On 02/18/2011 12:58 AM, Rogério Brito wrote:
> On Dec 16 2010, Phillip Susi wrote:
>> Powernowd used to accomplish the same thing as ACPI P-states by
>> directly manipulating the amd k8 cpu registers.
>
> No, it doesn't. It is just a userspace governor and, despite the name,
> it is not tied to AMD cpus.

That is what it does NOW.  It USED TO directly manipulate the k8 cpu 
registers, which is where it got its name.

> Unless you happen to have a CPU (Intel, BTW) that can only have its
> frequency scaled using something other than ondemand/conservative in
> their stock form and you have to use the P4 clock modulation.

To my understanding, p4_clockmod is just another frequency scaling 
driver in the kernel for very old p4 cpus, and all of the governors work 
with it like any of the other scaling drivers.

> I have some patches to the ondemand cpufreq regulator, but it will need
> a lot of fine tuning to make ondemand work (if at all). OTOH, using
> powernowd usually works OK for my computer.

Can you be more specific?  Why doesn't ondemand work with p4_clockmod?

> And I am not even talking about some other architectures (e.g., PowerPC)
> where there is some support for frequency scaling, but where there is no
> ACPI.

Such architectures support frequency scaling via a frequency scaling 
driver.  As you said before, all that powernowd does is govern that 
driver.  The kernel's own governors should work better.

> I think that I may not (yet) be willing to adopt it, but I am sure
> willing to co-maintain it or make the occasional QA upload from time to
> time, so that I can keep things in shape and close some of the most
> pressing bugs.

If it doesn't work now, why not get the kernel governor working right 
instead?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Sun, 20 Feb 2011 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Sun, 20 Feb 2011 02:21:02 GMT) Full text and rfc822 format available.

Message #70 received at 602052@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 23:18:14 -0300
On Feb 19 2011, Phillip Susi wrote:
> On 02/18/2011 12:58 AM, Rogério Brito wrote:
> >I have some patches to the ondemand cpufreq regulator, but it will need a
> >lot of fine tuning to make ondemand work (if at all). OTOH, using
> >powernowd usually works OK for my computer.
> 
> Can you be more specific?  Why doesn't ondemand work with p4_clockmod?

,----[ dmesg | grep -i latency ]
| 
| [   31.736436] ondemand governor failed, too long transition latency of HW, fallback to performance governor
| [   31.739208] ondemand governor failed, too long transition latency of HW, fallback to performance governor
`----

> >I think that I may not (yet) be willing to adopt it, but I am sure
> >willing to co-maintain it or make the occasional QA upload from time to
> >time, so that I can keep things in shape and close some of the most
> >pressing bugs.
> 
> If it doesn't work now, why not get the kernel governor working
> right instead?

I agree. That's the ideal situation. But the problem is: getting it
implemented may take a while. A *long* while. (Hope not).

And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
where the same with p4-clockmod is true.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Sun, 20 Feb 2011 03:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Sun, 20 Feb 2011 03:21:06 GMT) Full text and rfc822 format available.

Message #75 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 22:20:18 -0500
On 02/19/2011 09:18 PM, Rogério Brito wrote:
> And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
> where the same with p4-clockmod is true.

I'm still wondering how p4-clockmod can be controlled with a userspace 
governor, but not any of the kernel ones.  Are you guessing about 
PowerPC or do you know of a specific problem with their scaling driver 
that prevents it from working with the kernel governors?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Sun, 20 Feb 2011 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Sun, 20 Feb 2011 07:06:03 GMT) Full text and rfc822 format available.

Message #80 received at 602052@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sun, 20 Feb 2011 04:02:21 -0300
On Feb 19 2011, Phillip Susi wrote:
> On 02/19/2011 09:18 PM, Rogério Brito wrote:
> >And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
> >where the same with p4-clockmod is true.
> 
> I'm still wondering how p4-clockmod can be controlled with a
> userspace governor, but not any of the kernel ones.

Oh, dear:

,----[ powernowd -d -v -v -v -n -l 10 ]
| Using lower pct of 10%
| PowerNow Daemon v1.00, (c) 2003-2008 John Clemens
| Settings:
|   verbosity:        3
|   mode:             1     (AGGRESSIVE)
|   step:           100 MHz (100000 kHz)
|   lowwater:        10 %
|   highwater:       80 %
|   poll interval: 1000 ms
| about to return count = 1
| Found 2 scalable units:  -- 1 'CPU' per scalable unit
|   cpu0: 333Mhz - 2666Mhz (8 steps)
|      step1 : 2666Mhz
|      step2 : 2333Mhz
|      step3 : 1999Mhz
|      step4 : 1666Mhz
|      step5 : 1333Mhz
|      step6 : 999Mhz
|      step7 : 666Mhz
|      step8 : 333Mhz
|   cpu1: 333Mhz - 2666Mhz (8 steps)
|      step1 : 2666Mhz
|      step2 : 2333Mhz
|      step3 : 1999Mhz
|      step4 : 1666Mhz
|      step5 : 1333Mhz
|      step6 : 999Mhz
|      step7 : 666Mhz
|      step8 : 333Mhz
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 2666600
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 2666600
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| ^CSetting speed to 2666600
| Setting speed to 2666600
| Statistics:
|   32 speed changes in 105 seconds
| PowerNow Daemon Exiting.
`----

> Are you guessing about PowerPC or do you know of a specific problem with
> their scaling driver that prevents it from working with the kernel
> governors?

No, I am *not* guessing. I *have* PowerPC boxes. They suffer the same "too
high latency" stuff from ondemand/conservative governors.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Sun, 20 Feb 2011 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Sun, 20 Feb 2011 16:06:05 GMT) Full text and rfc822 format available.

Message #85 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sun, 20 Feb 2011 11:04:24 -0500
On 02/20/2011 02:02 AM, Rogério Brito wrote:
> Oh, dear:
>
> ,----[ powernowd -d -v -v -v -n -l 10 ]

I'm not sure why you posted this.  I asked why a user space govornor 
works, but a kernel space one does not.  You seem to have taken that as 
"how do you know the user space one works"?

> No, I am *not* guessing. I *have* PowerPC boxes. They suffer the same "too
> high latency" stuff from ondemand/conservative governors.

Too high latency?  It is starting to sound like these modules have too 
high of a latency to handle the high update frequency the kernel 
governors want to use ( many times each second, vs once a second for 
powernowd ).  Can you not just lower the update frequency the governor uses?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 22 Mar 2011 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 22 Mar 2011 18:03:06 GMT) Full text and rfc822 format available.

Message #90 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: 602052@bugs.debian.org
Subject: p4-clockmod
Date: Tue, 22 Mar 2011 14:02:51 -0400
I recently found an old system that had no cpufreq capability other than
p4-clockmod.  When on the performance governor it runs at its full 3
GHz.  When on powersave, it drops to 375kHz.  While this makes a big
difference under load, when the system is idle I can not measure any
power or thermal savings.

In other words, p4-clockmod seems to be useless since lowering the cpu
frequency without lowering its voltage does not save any more power than
simply being idle and in the HLT state.

Do you experience different results?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 22 Mar 2011 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>. (Tue, 22 Mar 2011 19:57:02 GMT) Full text and rfc822 format available.

Message #95 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: 602052@bugs.debian.org
Subject: p4-clockmod
Date: Tue, 22 Mar 2011 15:55:03 -0400
Also it seems that ondemand was intentionally made to not work with
p4-clockmod, and that it is marked as depreciated and scheduled for
removal from the kernel.

commit 36e8abf3edcd2d207193ec5741d1a2a645d470a5
Author: Dave Jones <davej@redhat.com>
Date:   Thu Mar 5 00:16:26 2009 -0500

    [CPUFREQ] Prevent p4-clockmod from auto-binding to the ondemand
governor.

    The latency of p4-clockmod sucks so hard that scaling on a regular
    basis with ondemand is a really bad idea.

    Signed-off-by: Matthew Garrett <mjg59@srcf.ucam.org>
    Signed-off-by: Dave Jones <davej@redhat.com>

commit e088e4c9cdb618675874becb91b2fd581ee707e6
Author: Matthew Garrett <mjg@redhat.com>
Date:   Tue Nov 25 13:29:47 2008 -0500

    [CPUFREQ] Disable sysfs ui for p4-clockmod.

    p4-clockmod has a long history of abuse.   It pretends to be a CPU
    frequency scaling driver, even though it doesn't actually change
    the CPU frequency, but instead just modulates the frequency with
    wait-states.
    The biggest misconception is that when running at the lower 'frequency'
    p4-clockmod is saving power.  This isn't the case, as workloads running
    slower take longer to complete, preventing the CPU from entering
deep C states.

    However p4-clockmod does have a purpose.  It can prevent overheating.
    Having it hooked up to the cpufreq interfaces is the wrong way to
achieve
    cooling however. It should instead be hooked up to ACPI.

    This diff introduces a means for a cpufreq driver to register with the
    cpufreq core, but not present a sysfs interface.

    Signed-off-by: Matthew Garrett <mjg@redhat.com>
    Signed-off-by: Dave Jones <davej@redhat.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Marco Bertorello <marco@bertorello.ns0.it>:
Bug#602052; Package powernowd. (Tue, 13 Dec 2011 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to Marco Bertorello <marco@bertorello.ns0.it>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 13 Dec 2011 00:27:03 GMT) Full text and rfc822 format available.


Message #100 received at 602052@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: 602052@bugs.debian.org
Date: Mon, 12 Dec 2011 19:24:59 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Is there a reason this is still tagged as needs info?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk7mm1sACgkQJ4UciIs+XuKcUgCguuibssZxh12iyG9W+GV93vcZ
L6oAoJZ7wnrU6OTVPh/dXxe7zWvvH9C+
=ULRU
-----END PGP SIGNATURE-----




Removed tag(s) moreinfo. Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Sun, 18 Nov 2012 03:42:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'powernowd' to 'ftp.debian.org'. Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Wed, 21 Nov 2012 01:39:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: powernowd -- obsolete' from 'Drop obsolete package' Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Wed, 21 Nov 2012 01:39:03 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 21 Nov 2012 16:25:01 GMT) Full text and rfc822 format available.

Notification sent to Phillip Susi <psusi@cfl.rr.com>:
Bug acknowledged by developer. (Wed, 21 Nov 2012 16:25:01 GMT) Full text and rfc822 format available.

Message #111 received at 602052-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 602052-close@bugs.debian.org
Cc: powernowd@packages.debian.org, powernowd@packages.qa.debian.org
Subject: Bug#602052: Removed package(s) from unstable
Date: Wed, 21 Nov 2012 16:23:10 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 powernowd |     1.00-2 | source, amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc

------------------- Reason -------------------
RoQA; obsolete
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602052@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/602052

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Dec 2012 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:29:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.